rake command shows the error

rails -v=2.3.8
gem -v= 1.4.2
ruby -v=1.8.7

When i issue the "rake" command ,it gives the following error .

(in /home/amrit/amrit/OSV/OpenStreetView)
/usr/bin/ruby1.8 -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
"test/functional/main_controller_test.rb"
"test/functional/upload_controller_test.rb"
"test/functional/moderate_controller_test.rb"
"test/functional/content_controller_test.rb"
"test/functional/homepage_controller_test.rb"
"test/functional/users_controller_test.rb"
"test/functional/private_controller_test.rb"
"test/functional/sessions_controller_test.rb"
"test/functional/api/photo_controller_test.rb"
"test/functional/api/application_controller_test.rb"
"test/functional/api/photos_controller_test.rb"
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:105:in
`const_missing': uninitialized constant User::Authentication
(NameError)
  from /home/amrit/amrit/OSV/OpenStreetView/app/models/user.rb:4
  from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:29:in
`gem_original_require'
  from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:158:in
`require'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:265:in
`require_or_load'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:425:in
`load_missing_constant'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:80:in
`const_missing'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:92:in
`const_missing'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/inflector.rb:364:in
`constantize'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/inflector.rb:363:in
`each'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/inflector.rb:363:in
`constantize'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/core_ext/string/inflections.rb:162:in
`constantize'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:157:in
`observed_class'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:183:in
`observed_classes'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:166:in
`initialize'
  from /usr/lib/ruby/1.8/singleton.rb:94:in `new'
  from /usr/lib/ruby/1.8/singleton.rb:94:in `instance'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:38:in
`instantiate_observers'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:36:in
`each'
  from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.8/lib/active_record/observer.rb:36:in
`instantiate_observers'
  from /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.8/lib/action_controller/dispatcher.rb:15
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:182:in
`call'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:182:in
`evaluate_method'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:166:in
`call'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:90:in
`run'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:90:in
`each'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:90:in
`send'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:90:in
`run'
  from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/callbacks.rb:276:in
`run_callbacks'
  from /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.8/lib/action_controller/dispatcher.rb:51:in
`send'
  from /usr/lib/ruby/gems/1.8/gems/actionpack-2.3.8/lib/action_controller/dispatcher.rb:51:in
`run_prepare_callbacks'
  from /usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:631:in
`prepare_dispatcher'
  from /usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:185:in
`process'
  from /usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:113:in `send'
  from /usr/lib/ruby/gems/1.8/gems/rails-2.3.8/lib/initializer.rb:113:in `run'
  from /home/amrit/amrit/OSV/OpenStreetView/config/environment.rb:12
  from ./test/test_helper.rb:2:in `require'
  from ./test/test_helper.rb:2
  from ./test/functional/main_controller_test.rb:1:in `require'
  from ./test/functional/main_controller_test.rb:1
  from /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5:in
`load'
  from /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5
  from /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5:in
`each'
  from /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb:5
/usr/bin/ruby1.8 -I"lib:test"
"/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"
Errors running test:units and test:functionals!

Please see where is the error?

What is on that line (show us from the start of user.rb)?

Colin